Bug 1278499 - atomic needs requires on python3-dbus (python-dbus on fedora 22)
atomic needs requires on python3-dbus (python-dbus on fedora 22)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: atomic (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 10:51 EST by Dusty Mabe
Modified: 2015-12-17 02:33 EST (History)
4 users (show)

See Also:
Fixed In Version: atomic-1.6-5.git09ac479.fc23 atomic-1.7-2.gitd378de0.fc22 atomic-1.7-2.gitd378de0.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 04:53:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Mabe 2015-11-05 10:51:08 EST
Description of problem:

If you install atomic-1.4-1.git9d724aa.fc23.x86_64 from updates-testing repo the python3-dbus rpm does not get pulled in and you end up with this error:

Steps to Reproduce on Fedora 23:
1.  dnf install atomic --enablerepo=updates-testing
2.  atomic version


Actual results:

[root@f23rc9 ~]# atomic version
Traceback (most recent call last):
  File "/usr/bin/atomic", line 31, in <module>
    import Atomic
  File "/usr/lib/python3.4/site-packages/Atomic/__init__.py", line 6, in <module>
    from .atomic import Atomic
  File "/usr/lib/python3.4/site-packages/Atomic/atomic.py", line 17, in <module>
    import dbus
ImportError: No module named 'dbus'
Comment 1 Pavel Raiskup 2015-11-11 09:53:35 EST
Ping?  Note that you should push new release to f23 because ASAP -- you have
broken upgrade path from F22.
Comment 2 Fedora Update System 2015-11-11 13:32:16 EST
atomic-1.6-4.git8a66e29.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cb8a57cc66
Comment 3 Fedora Update System 2015-11-11 15:30:51 EST
atomic-1.6-5.git09ac479.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b26290fd1e
Comment 4 Fedora Update System 2015-11-11 22:57:36 EST
atomic-1.6-4.git8a66e29.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update atomic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cb8a57cc66
Comment 5 Fedora Update System 2015-11-13 00:30:03 EST
atomic-1.6-5.git09ac479.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update atomic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b26290fd1e
Comment 6 Fedora Update System 2015-11-13 17:52:43 EST
atomic-1.6-5.git09ac479.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-23 13:31:31 EST
atomic-1.7-2.gitd378de0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-825b7a03c1
Comment 8 Colin Walters 2015-11-23 15:15:31 EST
Worth noting one can work around this via `rpm-ostree upgrade`.
Comment 9 Fedora Update System 2015-11-23 15:46:56 EST
atomic-1.7-2.gitd378de0.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b6c503d73a
Comment 10 Lokesh Mandvekar 2015-11-23 15:47:53 EST
(In reply to Fedora Update System from comment #9)
> atomic-1.7-2.gitd378de0.fc22 has been submitted as an update to Fedora 22.
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-b6c503d73a

Note: f22 needs python-dbus and not python3-bus. Any case, this should fix the 'no module dbus' error.
Comment 11 Fedora Update System 2015-11-24 21:55:14 EST
atomic-1.7-2.gitd378de0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update atomic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-825b7a03c1
Comment 12 Fedora Update System 2015-11-25 21:27:21 EST
atomic-1.7-2.gitd378de0.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update atomic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b6c503d73a
Comment 13 Fedora Update System 2015-12-16 04:53:23 EST
atomic-1.7-2.gitd378de0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-17 02:33:03 EST
atomic-1.7-2.gitd378de0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.